Package org.apache.felix.http.base.internal.dispatch

# Class DispatcherServlet

java.lang.Object
jakarta.servlet.GenericServlet
jakarta.servlet.http.HttpServlet
org.apache.felix.http.base.internal.dispatch.DispatcherServlet

All Implemented Interfaces:
  `jakarta.servlet.Servlet`, `jakarta.servlet.ServletConfig`, `Serializable`

public class DispatcherServlet extends jakarta.servlet.http.HttpServlet
The dispatcher servlet is registered in the container. It is dispatching requests to the http implementation. It does not start the http service, this needs to be done through the `HttpServiceController`.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class jakarta.servlet.http.HttpServlet

`LEGACY_DO_HEAD`

## Constructor Summary

Constructors
Constructor
Description
`DispatcherServlet(Dispatcher controller)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`service(jakarta.servlet.http.HttpServletRequest req, jakarta.servlet.http.HttpServletResponse res)`

### Methods inherited from class jakarta.servlet.http.HttpServlet

`doDelete, doGet, doHead, doOptions, doPatch, doPost, doPut, doTrace, getLastModified, init, isSensitiveHeader, service`

### Methods inherited from class jakarta.servlet.GenericServlet

`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DispatcherServlet

public DispatcherServlet(Dispatcher controller)

## Method Details

### service

protected void service(jakarta.servlet.http.HttpServletRequest req, jakarta.servlet.http.HttpServletResponse res) throws jakarta.servlet.ServletException, IOException

Overrides:
  `service` in class `jakarta.servlet.http.HttpServlet`
Throws:
  `jakarta.servlet.ServletException`
  `IOException`